# appimage-builder recipe see https://appimage-builder.readthedocs.io for details
version: 1
AppDir:
  path: AppDir
  app_info:
    id: net.minetest.minetest
    name: Minetest
    icon: minetest
    version: !ENV ${VERSION}
    exec: usr/bin/minetest
    exec_args: $@
  files:
    include: []
    exclude:
    - usr/share/man
    - usr/share/doc
    - usr/share/lintian
  apt:
    arch: amd64
    sources:
      - sourceline: deb http://archive.ubuntu.com/ubuntu/ focal main universe
        key_url: 'http://keyserver.ubuntu.com/pks/lookup?op=get&search=0x3b4fe6acc0b21f32'
      - sourceline: deb http://archive.ubuntu.com/ubuntu/ focal-updates main universe
      - sourceline: deb http://archive.ubuntu.com/ubuntu/ focal-backports main universe
      - sourceline: deb http://archive.ubuntu.com/ubuntu/ focal-security main universe

    include:
      - libc6
      - libcrypt1
      - libcurl3-gnutls
      - libcurl4
      - libfreetype6
      - libgl1
      - libjpeg-turbo8
      - libjsoncpp1
      - libleveldb1d
      - libluajit-5.1-2
      - libopenal1
      - libpng16-16
      - libsqlite3-0
      - libstdc++6
      - libvorbisfile3
      - libx11-6
      - libxi6
      - zlib1g
AppImage:
  update-information: guess
  sign-key: None
  arch: x86_64
script: |
    # Compile and install binaries into AppDir
    cmake -B appimage-build -DENABLE_REDIS=FALSE -DENABLE_POSTGRESQL=OFF -DCMAKE_INSTALL_PREFIX=AppDir/usr/ -DBUILD_SERVER=FALSE -DENABLE_GETTEXT=TRUE -DCMAKE_BUILD_TYPE=Release -DRUN_IN_PLACE=FALSE
    cmake --build appimage-build --parallel $(nproc) --config Release
    cmake --install appimage-build

    # Is a backup icon location in case
    mkdir -p AppDir/usr/share/minetest/misc
    cp AppDir/usr/share/icons/hicolor/128x128/apps/minetest.png AppDir/usr/share/minetest/misc/minetest-xorg-icon-128.png
    # Validation issues
    sed -i '/PrefersNonDefaultGPU/d' AppDir/usr/share/applications/net.minetest.minetest.desktop
